<objectdb>
  <general>
    <temp path="$temp/ObjectDB" threshold="64mb" />
    <network inactivity-timeout="0" />
    <url-history size="50" user="true" password="true" />
    <log path="database/log/" max="8mb" stdout="false" stderr="false" />
    <log-archive path="database/log/archive/" retain="90" />
    <logger name="*" level="info" />
  </general>
  <database>
    <size initial="256kb" resize="256kb" page="2kb" />
    <recovery enabled="true" sync="true" path="." max="128mb" />
    <recording enabled="false" sync="false" path="." mode="write" />
    <locking version-check="true" />
    <processing cache="64mb" max-threads="10" synchronized="false" />
    <index-update enabled="true" priority="40" /> 
    <query-cache results="32mb" programs="500" />
    <extensions drop="temp,tmp" />
  </database>
  <entities>
    <enhancement agent="true" reflection="warning" />
    <cache ref="weak" level2="0mb" />
    <fetch hollow="true" />
    <persist serialization="false" />
    <cascade-persist always="auto" on-persist="false" on-commit="true" />
    <dirty-tracking arrays="false" />
  </entities>
  <schema>
    <package name="com.example.old1" new-name="com.example.new1" />
    <package name="com.example.old2" new-name="com.example.new2">
      <class name="A" new-name="NewA" />
      <class name="B">
        <field name="f1" new-name="newF1" />
        <field name="f2" new-name="newF2" />
      </class>
    </package>
    <package name="com.example.old3">
      <class name="C" new-name="NewC" >
        <field name="f3" new-name="newF3" />
      </class>
      <class name="C$E" new-name="NewC$E" />
    </package>
  </schema>
  <server>
    <connection port="6136" max="0" />
    <data path="$objectdb/db-files" />
  </server>
  <users>
    <user username="admin" password="admin" ip="127.0.0.1" admin="true">
      <dir path="/" permissions="access,modify,create,delete" />
    </user>
    <user username="$default" password="$$$###">
      <dir path="/$user/" permissions="access|modify|create|delete">
        <quota directories="5" files="20" disk-space="5mb" />
      </dir>
    </user>
    <user username="user1" password="user1" />
  </users>
  <ssl enabled="false">
    <server-keystore path="$objectdb/ssl/server-kstore" password="pwd" />
    <client-truststore path="$objectdb/ssl/client-tstore" password="pwd" />
  </ssl>
</objectdb>